<?php if (!defined('PLX_ROOT')) exit; 
# Control du token du formulaire
plxToken::validateFormToken($_POST);


if(!empty($_POST)) {
	# configuration de la page 
	if (!empty($_POST['mnuName']) AND !empty($_POST['mnuPos']) AND !empty($_POST['template']))  {

		$plxPlugin->setParam('mnuInfo', $_POST['mnuInfo'], 'cdata');
		$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
		$plxPlugin->setParam('mnuName', $_POST['mnuName'], 'cdata');
		$plxPlugin->setParam('mnuPos', $_POST['mnuPos'], 'numeric');
		$plxPlugin->setParam('template', $_POST['template'], 'string');
		$plxPlugin->setParam('pagestatic', $_POST['pagestatic'], 'string');
		$plxPlugin->setParam('category', $_POST['category'], 'string');
		$plxPlugin->saveParams();
	}
	header('Location: parametres_plugin.php?p='.basename(__DIR__));
	exit;
}

	

	$mnuDisplay =  $plxPlugin->getParam('mnuDisplay')=='' ? 1 : $plxPlugin->getParam('mnuDisplay');
	$mnuName =  $plxPlugin->getParam('mnuName')=='' ? 'sitemap' : $plxPlugin->getParam('mnuName');
	$mnuPos =  $plxPlugin->getParam('mnuPos')=='' ? 2 : $plxPlugin->getParam('mnuPos');
	$template = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
	$pagestatic = $plxPlugin->getParam('pagestatic') =='' ?'' :$plxPlugin->getParam('pagestatic');


	# On récupère les templates des pages statiques
	$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
	if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
		foreach($array as $k=>$v)
			$aTemplates[$v] = $v;
	}
?>	

<style>
    .nextum input, .nextum textarea{border-radius: 5px;width: 40%}
    .nextum input[type="submit"]{width: auto}
    .nextum textarea {min-height: 50px}
    .nextum label{font-style: italic}
</style>

<?php
	$mnuDisplay = $plxPlugin->getParam('mnuDisplay');
	$pagestatic = $plxPlugin->getParam('pagestatic');
	$category = $plxPlugin->getParam('category');
?>


<p>
	<h2><?php echo $plxPlugin->getInfo("description") ?></h2>
</p>



		<form action="parametres_plugin.php?p=MySiteMap" method="post" class="nextum">

			<p>
				<label for="id_content">Texte en haut de page</label>
				<textarea id="id_content" rows="5"  name="mnuInfo"><?php echo $plxPlugin->getParam('mnuInfo'); ?></textarea>
			</p>

			<p>
				<label for="mnuDisplay">Afficher la page dans la navigation</label>
				<select name="mnuDisplay" id="mnuDisplay">
					<option value="1"  <?php if ($mnuDisplay == '1') { echo'selected';}?> >Oui</option>
					<option value="0" <?php if ($mnuDisplay == '0') { echo'selected';}?> >Non</option>
				</select>

			<p>
				<label for="mnuName">Titre de la page</label>
				<input id="mnuName" name="mnuName"  maxlength="255" value="<?php echo $plxPlugin->getParam("mnuName"); ?>">
			</p>
			<p>
				<label for="mnuPos">Position de la page</label>
				<input id="mnuPos" name="mnuPos"  maxlength="255" value="<?php echo $plxPlugin->getParam("mnuPos"); ?>">
			</p>

			<p>
				<label for="template">Template de votre page</label>
				<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
			</p>

			<p>
				<label for="pagestatic">Afficher les pages statiques</label>
				<select name="pagestatic" id="pagestatic">
					<option value="1"  <?php if ($pagestatic == '1') { echo'selected';}?> >Oui</option>
					<option value="0" <?php if ($pagestatic == '0') { echo'selected';}?> >Non</option>
				</select>
			</p>

			<p>
				<label for="category">Afficher la liste des categories</label>
				<select name="category" id="category">
					<option value="1"  <?php if ($category == '1') { echo'selected';}?> >Oui</option>
					<option value="0" <?php if ($category == '0') { echo'selected';}?> >Non</option>
				</select>
			</p>


			<p class="in-action-bar">
				<?php echo plxToken::getTokenPostMethod() ?>
				<input type="submit" name="submit" value="Valider" />
			</p>

		</form>

	




